Bug 55673 - kickstart: documentation makes a note about undocumented --cleapart parameter
kickstart: documentation makes a note about undocumented --cleapart parameter
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-04 10:19 EST by Zenon Mousmoulas
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 14:29:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Mousmoulas 2001-11-04 10:19:20 EST
Description of problem:
In the RHL 7.2 Official Customization Guide (page 38 of the PDF version) 
there is the following note:

Note
If --clearpart is used in the ks.cfg file, then --onpart cannot
be used on a logical partition.

The "--clearpart" parameter is not documented as a parameter of 
the "part" (partition) directive or anywhere else. One can understand 
from reading the documentation that this note actually means that if the 
partition table for a disk is cleared with the "clearpart" directive, 
then the "--onpart" parameter of the "part" directive should not be used 
with an argument of a partition of the disk that was cleared before.
However this note should be corrected to make it clear and avoid 
confusion, unless there is actually such a parameter (--clearpart) which 
is simply not documented :) In such a case, it must be added to the 
documentation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Not applicable.

Actual Results:  Not applicable.

Expected Results:  Not applicable.

Additional info:

Kickstart documentation (part of RHL Official Customization Guide) is not 
clear at several points. Most specifically, the two most noticeable 
issues are:
A. It is not always clear what the right syntax for directive parameters 
that accept arguments is, i.e. if 
directive --parameter argument
is right or if
directive --parameter=argument
is right. From experience, it usually does not make a difference, but 
using the "=" syntax is cleaner. But I have no clue the scripting 
language that anaconda uses (python) does process these syntax formats 
different.
B. The documentation should include syntactical examples for every 
directive and parameter explained. It should also be explicitly noted 
when a directive requires at a minimum some parameters, which parameters 
are required to be used together and which parameters conflict with each 
other and should not be used together. There are some notes about such 
issues (e.g. see the part/partition directive documentation) but there 
are many more missing (also see Bug #55670). Similarly, directive 
dependencies and conflictions should be better documented (also see Bug 
#55672).
Comment 1 Zenon Mousmoulas 2001-11-06 09:55:29 EST
I am sorry, I didn't notice there was a separate component for the guide or 
else I wouldn't have added this as an anaconda issue :)
Comment 2 Tammy Fox 2001-11-06 14:29:16 EST
It should say  "If the clearpart command is used in the ks.cfg file, then
--onpart cannot be used on a logical partition" without the --. clearpart is a
separate
command. I have fixed this for the next version of the documentation.

I will also work on adding more examples to the kickstart documentation.

Note You need to log in before you can comment on or make changes to this bug.